EDIT - bug #8962

Handle widget is disposed after closing Supplemental Data View
04/20/2020 03:06 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: blocker Found in Version:

Description

WGB:

nach SchlieBen des Supplemental Data views.
Vorher: Synonym Wormia von Ancistrocladus Fokus auf Name gesetzt. Noch keinerlei Edits nach Offnen der Instanz.

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/common.service
last remote request client time : 2020-04-20T04:56:02.093
last remote request response header time : Mon, 20 Apr 2020 04:56:02 GMT
client error time : 2020-04-20T04:56:16.464
login : w.berendsohn
editor version : 5.14.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp
schema version : 5.12.0.0.20191202
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.swt.SWITException: Failed to execute runnable (org.eclipse.swt.SWTException: Widget is
disposed)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlLauncher.start (EclipseAppla
uncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: org.eclipse.swt.SWTException: Widget is disposed

at org.eclipse.swt.SWT.error (SWT. java:4533)
SWT.error (SWT.java:4419)
widgets.Widget.error (Widget. java:482)

.widgets.Widget.checkWidget (Widget. java:354)
.widgets.Control.setEnabled(Control. java:3410)

ui.forms.widgets.ExpandableComposite.setEnabled (ExpandableComposite

eu.etaxonomy.taxeditor.view.ed.supplementaldata.SupplementalDataViewerE4.setEna

bled (SupplementalDataViewerE4. java:209)

at eu.etaxonomy.taxeditor.view.ed.supplementaldata.SupplementalDataPartE4.selectio
nChanged_internal (SupplementalDataPartE4. java:134)
eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4$DelaySelection.run (Abstr
.java:94)

at
actCdmEditorPartkE4
at
at

org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

23 more

Associated revisions

Revision 6a56588d - 04/21/2020 10:05 AM - Katja Luther

fix #8962: check for disposed section

History

#1 - 04/21/2020 10:04 AM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor 7 7| {7 76cc4466.

#2 - 04/21/2020 10:05 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

- Severity changed from normal to blocker

please review

#3 - 06/03/2020 11:38 AM - Andreas Mdiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

| don't know how to review this exactly. The code looks ok as far as | can decide this.
